/* 企业管理通用接口 */
import request from '@/utils/request'

/* 添加企业 */
export function addCompany(data, toast = true) {
  return request({
    url: '/sys/company',
    method: 'POST',
    data,
    toast
  })
}
/* 编辑企业 */
export function updateCompany(data) {
  return request({
    url: '/sys/company',
    method: 'PUT',
    data
  })
}
/* 获取企业列表 */
export function getCompanyPage(params) {
  return request({
    url: '/sys/company/page',
    method: 'GET',
    params
  })
}
/* 查看企业 */
export function getCompany(id) {
  return request({
    url: `/sys/company/${id}`,
    method: 'GET'
  })
}
/* 删除企业 */
export function deleteCompany(id) {
  return request({
    url: `/sys/company/${id}`,
    method: 'DELETE'
  })
}
/* 启用企业 */
export function enableCompany(id) {
  return request({
    url: `/sys/company/enable/${id}`,
    method: 'PUT'
  })
}
/* 禁用企业 */
export function disableCompany(id) {
  return request({
    url: `/sys/company/disable/${id}`,
    method: 'PUT'
  })
}

/* 重置企业密码 */
export function resetCompanyPwd(data) {
  return request({
    url: `/sys/company/reset`,
    method: 'PUT',
    data
  })
}

/* 查询登录用户项目列表（客户端富士超管） */
export function getCompanyProjectList() {
  return request({
    url: '/sys/company/project',
    method: 'GET',
    toast: false
  })
}
